Subject: Re: Basic 405gp question

From: Matt Porter <[email-masked]>
Date: Fri, 22 Oct 2004 15:19:00 -0700

On Fri, Oct 22, 2004 at 03:42:07PM -0400, Smith, Gene wrote:
> I have a custom 405GPr board containing 64M ram and 4M flash with no PCI 
> connector, just ethernet and ttyS0/1 to outside world. I am able to load 
> and run simple ppc code to ram using a Macraigor JTAG debugger via 
> insight/gdb using gnu tools provided by them.
> 
> What would it take to get linux running on this board? Any pointers or 
> suggestions would be appreciated.

Port u-boot using walnut code as an example.

Copy the Linux walnut code to foo_board.[c|h]. Remove what you don't need
from the files. Modify other things accordingly. Update the
Kconfigs/Makefiles.

Unless the hardware is buggy, it should be very straightforward. You
can even proof of concept things by loading vmlinux from your JTAG
debugger and setting r3-r7 appropriately...skipping the firmware stage.

-Matt